Package htsjdk.samtools.cram.compression.rans

# Class RANSDecode

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSDecode

Direct Known Subclasses:
  `RANS4x8Decode`, `RANSNx16Decode`

public abstract class RANSDecode extends Object

## Constructor Summary

Constructors
Constructor
Description
`RANSDecode()`

## Method Summary

Modifier and Type
Method
Description
`protected ArithmeticDecoder[]`
`getD()`
`protected RANSDecodingSymbol[][]`
`getDecodingSymbols()`
`protected void`
`initializeRANSDecoder()`
`abstract ByteBuffer`
`uncompress(ByteBuffer inBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANSDecode

public RANSDecode()

## Method Details

### getD

protected ArithmeticDecoder[] getD()

### getDecodingSymbols

protected RANSDecodingSymbol[][] getDecodingSymbols()

### uncompress

public abstract ByteBuffer uncompress(ByteBuffer inBuffer)

### initializeRANSDecoder

protected void initializeRANSDecoder()